Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.puppycrawl.tools.checkstyle.checks.blocks
Enum RightCurlyOption

    java.lang.Object
      java.lang.Enum<RightCurlyOption>
          com.puppycrawl.tools.checkstyle.checks.blocks.RightCurlyOption

All Implemented Interfaces:
  Serializable, Comparable<RightCurlyOption>

    public enum RightCurlyOption

extends Enum<RightCurlyOption>

Represents the options for placing the right curly brace `'}'`.

Version:
  1
Author:
  Oliver Burn

Enum Constant Summary
`ALONE` Represents the policy that the brace must be alone on the line.
`SAME` Represents the policy that the brace must be on the same line as the next statement.

Method Summary
`static RightCurlyOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RightCurlyOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALONE

    public static final RightCurlyOption ALONE

  Represents the policy that the brace must be alone on the line. For example:

       try {
           ...
       }
       finally {

### SAME

    public static final RightCurlyOption SAME

  Represents the policy that the brace must be on the same line as the next statement. For example:

       try {
           ...
       } finally {

Method Detail

### values

    public static RightCurlyOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RightCurlyOption c : RightCurlyOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RightCurlyOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011. All Rights Reserved.